<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */

include_once($_SERVER['DOCUMENT_ROOT'].'/inc/core.php');
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/session.php');

// Construct page
$content['windowTitle'] = 'About Phoebe - Phoebe';
$content['settings'] = '';
$content['main'] = '<h1 id="mainTitle"><a href="/" class="titleLink">Phoebe</a></h1>';
$content['main'] .= $topNav;

$content['main'] .= <<<EOPhoebeText

<h2>About Phoebe</h2>
<p>Phoebe is a web application designed to provide inspiration and practical support for designing learning. It provides a tool to help you plan learning sessions, closely linked to a body of guidance material relating to teaching and learning.</p>

<h3>Phoebe the Titan</h3>
<p>In classical mythology, Phoebe was one of the Titans and – according to the <a href="http://www.godchecker.com/pantheon/greek-mythology.php?deity=PHOEBE">Godchecker website</a> - Goddess of “Wise Counsel, Thoughtful Replies and Snappy Answers.” And this is exactly what our tool sets out to do: provide timely and informed guidance on designing learning experiences that make appropriate use of technology.</p>
<p>However, we envisage Phoebe above all as a community tool, owned by individual departments and colleges who will supplement the advice and examples that we have supplied with material directly relevant to their own context.</p>

<h3>The Phoebe project</h3>
<p>Phoebe has been developed by a team from the Technology-Assisted Lifelong Learning unit (<a href="http://www.tall.ox.ac.uk/">TALL</a>) at Oxford University and Oxford University Computing Services (<a href="http://www.oucs.ox.ac.uk/">OUCS</a>) with funding from the <a href="http://www.jisc.ac.uk/elp_designlearn.html">JISC Design for Learning programme</a>.</p>
<p>Development information can be found on the <a href="http://phoebe-project.conted.ox.ac.uk/">project website</a>.</p>
<p>Contact us at <a href="mailto:phoebe@conted.ox.ac.uk">phoebe@conted.ox.ac.uk</a>.</p>

<h3>The Phoebe audience</h3>
<p>Phoebe is aimed at practitioners working in post-compulsory learning (FE, HE and ACL).</p>

<h3>About design for learning</h3>
<p>“Design for learning” is an alternative perspective on practices traditionally referred to as course and lesson planning. It lays emphasis not only on the role of technology in learning, but also on effectiveness: creating designs for experiences that are motivating, enjoyable and productive for students and teaching staff alike.</p>

<p>Many teachers have found that introducing technology into their courses prompts them to think about the teaching and learning process in new ways. For example, new tools can open up exciting possibilities for active involvement on the part of students, they help to make “anywhere, anytime” learning a reality, they can supplement face-to-face interactions between teacher and students with extended online discussions, and they are making it possible for students with disabilities to learn alongside their able-bodied peers. All this requires careful planning and the consideration of a number of interrelated factors.</p>

<p>Phoebe brings together the key components of a learning design, prompts your thinking, allows you to record ideas and requirements, and makes it easy to cross-reference components as you design the activities that make up an individual learning experience, or session. It offers users both flexible and guided paths through the planning process, and provides access to a wide range of models, case studies and examples of innovative learning designs.</p>


EOPhoebeText;

// Write via template
include_once($CNF->template);
?>