<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */

include_once($_SERVER['DOCUMENT_ROOT'].'/inc/core.php');
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/session.php');

// Construct page
$content['windowTitle'] = 'Phoebe — pedagogic planner';
$content['settings'] = '';
$content['main'] = '<h1 id="mainTitle"><a href="/" class="titleLink">Phoebe</a> <span id="strapLine">Pedagogic planner</span></h1>';

if(!file_exists($_SERVER['DOCUMENT_ROOT'].'/installed.txt')) {
    $content['main'] .= '<p>Phoebe is not yet set up, please use the <a href="install.php">install page</a>.</p>';

} else {
    $content['main'] .= <<<EOPhoebeText

<p id="quickDesc">Phoebe is a web application designed to provide inspiration and practical support for learning design.</p>

<h2>What do you want to do?</h2>
<dl id="pathStart">
    <dt><a href="/designs.php" class="titleLink">Create or modify your learning designs</a></dt>
    <dd>Build your own design or adapt an existing design.</dd>

    <dt><a href="/sharedDesigns.php" class="titleLink">View shared learning designs</a></dt>
    <dd>Let Phoebe’s collection of shared designs inspire you.</dd>

    <dt><a href="/browseGuidance.php" class="titleLink">Browse Phoebe’s teaching and technology guidance</a></dt>
    <dd>Find out about different tools and the learning activities they support.</dd>

    <dt><a href="/templates.php" class="titleLink">Manage your design templates</a></dt>
    <dd>Create and modify the templates from which you build your learning designs.</dd>
</dl>

<p>For guidance on using Phoebe, visit the <a href="/help/">help</a> page.</p>

<h3>About Phoebe</h3>
<p>Phoebe is still under development, so both the guidance and the 
functionality are incomplete. Please let us know about any problems you 
encounter by emailing <a href="mailto:phoebe@conted.ox.ac.uk">phoebe@conted.ox.ac.uk</a>.</p>

<p>Find out more on our <a href="/about/">about Phoebe</a> page.</p>

EOPhoebeText;
}

// Write via template
include_once($CNF->template);
?>