<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */

/* Standard data, e.g. learning design structures */
$defaultData = array(
    'users' => array(
        array(
            'first_name' => 'David',
            'last_name' => 'Balch',
            'email' => 'david.balch@conted.ox.ac.uk'
        )
    ),

    'designs' => array(
        array(
            'owner_id' => 1,
            'is_template' => 1,
            'created' => '2007-08-24 14:17:29',
            'title' => 'Phoebe standard design',
            'description' => 'Built-in design',
            'share_level' => 2
        )
    ),

    'properties' => array(
        array( // id = 1
            'parent_design_id' => 1,
            'root_item' => 1,
            'title' => 'Contextual information',
            'first_child_id' => 2
        ),

            array( // id = 2
                'parent_design_id' => 1,
                'title' => 'Title and author',
                'first_child_id' => 3,
                'next_sibling_id' => 7
            ),

                array( // id = 3
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Title',
                    'next_sibling_id' => 4
                ),
                array( // id = 4
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'multiplicity' => 1,
                    'title' => 'Author',
                    'next_sibling_id' => 5
                ),
                array( // id = 5
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Brief description',
                    'next_sibling_id' => 6
                ),
                array( // id = 6
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Delivery mode'
                ),

            array( // id = 7
                'parent_design_id' => 1,
                'title' => 'Course',
                'first_child_id' => 8,
                'next_sibling_id' => 13
            ),

                array( // id = 8
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Qualification/level',
                    'next_sibling_id' => 9
                ),
                array( // id = 9
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Course/programme title',
                    'next_sibling_id' => 10
                ),
                array( // id = 10
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Year group',
                    'next_sibling_id' => 11
                ),
                array( // id = 11
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Module',
                    'next_sibling_id' => 12
                ),
                array( // id = 12
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'No. of unit/session within module'
                ),

            array( // id = 13
                'parent_design_id' => 1,
                'title' => 'Timetabling ',
                'first_child_id' => 14,
                'next_sibling_id' => 26
            ),

                array( // id = 14
                    'parent_design_id' => 1,
                    'title' => 'Face to face',
                    'first_child_id' => 15,
                    'next_sibling_id' => 20
                ),

                    array( // id = 15
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Term',
                        'next_sibling_id' => 16
                    ),
                    array( // id = 16
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Week',
                        'next_sibling_id' => 17
                    ),
                    array( // id = 17
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Date',
                        'next_sibling_id' => 18
                    ),
                    array( // id = 18
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Start time',
                        'next_sibling_id' => 19
                    ),
                    array( // id = 19
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Length of session'
                    ),

                array( // id = 20
                    'parent_design_id' => 1,
                    'title' => 'Online',
                    'first_child_id' => 21
                ),

                    array( // id = 21
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Term',
                        'next_sibling_id' => 22
                    ),
                    array( // id = 22
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Week',
                        'next_sibling_id' => 23
                    ),
                    array( // id = 23
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Release date',
                        'next_sibling_id' => 24
                    ),
                    array( // id = 24
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Closing date',
                        'next_sibling_id' => 25
                    ),
                    array( // id = 25
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Expected study time'
                    ),

            array( // id = 26
                'parent_design_id' => 1,
                'title' => 'Staff',
                'first_child_id' => 27
            ),

                array( // id = 27
                    'parent_design_id' => 1,
                    'multiplicity' => 1,
                    'title' => 'Principal teacher(s)',
                    'first_child_id' => 28,
                    'next_sibling_id' => 31
                ),

                    array( // id = 28
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Name',
                        'next_sibling_id' => 29
                    ),
                    array( // id = 29
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Role',
                        'next_sibling_id' => 30
                    ),
                    array( // id = 30
                        'parent_design_id' => 1,
                        'field_type' => 2,
                        'title' => 'notes'
                    ),

                array( // id = 31
                    'parent_design_id' => 1,
                    'title' => 'Location',
                    'first_child_id' => 32,
                    'next_sibling_id' => 34
                ),
               
                    array( // id = 32
                        'parent_design_id' => 1,
                        'field_type' => 1,
                        'title' => 'Name or room number',
                        'next_sibling_id' => 33
                    ),
                    array( // id = 33
                        'parent_design_id' => 1,
                        'field_type' => 2,
                        'title' => 'notes'
                    ),

                array( // id = 34
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Health and safety'
                ),

        array( // id = 35
            'parent_design_id' => 1,
            'root_item' => 2,
            'title' => 'Curriculum aspects',
            'first_child_id' => 36
        ),

            array( // id = 36
                'parent_design_id' => 1,
                'title' => 'Aims and objectives',
                'first_child_id' => 37,
                'next_sibling_id' => 39
            ),

                array( // id = 37
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'multiplicity' => 1,
                    'title' => 'Aim',
                    'next_sibling_id' => 38
                ),
                array( // id = 38
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'multiplicity' => 1,
                    'title' => 'Objective'
                ),

            array( // id = 39
                'parent_design_id' => 1,
                'title' => 'Learning outcomes',
                'first_child_id' => 40,
                'next_sibling_id' => 41
            ),

                array( // id = 40
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'multiplicity' => 1,
                    'title' => 'Learning outcome'
                ),

            array( // id = 41
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Prerequisite skills/knowledge',
                'next_sibling_id' => 42
            ),

            array( // id = 42
                'parent_design_id' => 1,
                'multiplicity' => 1,
                'title' => 'Teaching resources',
                'first_child_id' => 43,
                'next_sibling_id' => 45
            ),

                array( // id = 43
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Resource',
                    'next_sibling_id' => 44
                ),

                array( // id = 44
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Notes on resource'
                ),

            array( // id = 45
                'parent_design_id' => 1,
                'title' => 'Curriculum documentation',
                'first_child_id' => 46
            ),

                array( // id = 46
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Source of curriculum'
                ),


        array( // id = 47
            'parent_design_id' => 1,
            'root_item' => 3,
            'title' => 'Assessment',
            'first_child_id' => 48
        ),

            array( // id = 48
                'parent_design_id' => 1,
                'title' => 'Assessment overview',
                'first_child_id' => 49
            ),

                array( // id = 49
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Type of assessment',
                    'next_sibling_id' => 50
                ),
                array( // id = 50
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'multiplicity' => 1,
                    'title' => 'Assessment criterion',
                    'next_sibling_id' => 51
                ),
                array( // id = 51
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Other notes'
                ),

            array( // id = 52
                'parent_design_id' => 1,
                'multiplicity' => 1,
                'title' => 'Assessment activity',
                'first_child_id' => 53
            ),

                array( // id = 53
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Title',
                    'next_sibling_id' => 54
                ),
                array( // id = 54
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Nature of activity',
                    'next_sibling_id' => 55
                ),
                array( // id = 55
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Length',
                    'next_sibling_id' => 56
                ),
                array( // id = 56
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Individual / pair / group work?',
                    'next_sibling_id' => 57
                ),
                array( // id = 57
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Submit individually / collectively?',
                    'next_sibling_id' => 58
                ),
                array( // id = 58
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Resources needed',
                    'next_sibling_id' => 59
                ),
                array( // id = 59
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Submission deadline',
                    'next_sibling_id' => 60
                ),
                array( // id = 60
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Marker(s)',
                    'next_sibling_id' => 61
                ),
                array( // id = 61
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Method of feedback'
                ),


        array( // id = 62
            'parent_design_id' => 1,
            'root_item' => 4,
            'title' => 'The students',
            'first_child_id' => 63
        ),

            array( // id = 63
                'parent_design_id' => 1,
                'field_type' => 1,
                'title' => 'Number of students',
                'next_sibling_id' => 64
            ),

            array( // id = 64
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Typical misconceptions',
                'next_sibling_id' => 65
            ),
            array( // id = 65
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Learning styles',
                'next_sibling_id' => 66
            ),
            array( // id = 66
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Differentiation',
                'next_sibling_id' => 67
            ),
            array( // id = 67
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Accessibility',
                'next_sibling_id' => 68
            ),

            array( // id = 68
                'parent_design_id' => 1,
                'title' => 'Skill sets',
                'first_child_id' => 69,
                'next_sibling_id' => 73
            ),

                array( // id = 69
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Independent learning skills',
                    'next_sibling_id' => 70
                ),
                array( // id = 70
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Linguistic skills',
                    'next_sibling_id' => 71
                ),
                array( // id = 71
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Social skills',
                    'next_sibling_id' => 72
                ),
                array( // id = 72
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'ICT skills'
                ),

            array( // id = 73
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Transferable experience'
            ),

        array( // id = 74
            'parent_design_id' => 1,
            'field_type' => 2,
            'title' => 'Teaching approach',
            'next_sibling_id' => 75
        ),

        array( // id = 75
            'parent_design_id' => 1,
            'root_item' => 5,
            'title' => 'Learning Activity Sequence',
            'first_child_id' => 76
        ),

            array( // id = 76
                'parent_design_id' => 1,
                'multiplicity' => 1,
                'title' => 'Preparation by students',
                'first_child_id' => 77,
                'next_sibling_id' => 83
            ),

                array( // id = 77
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Title',
                    'next_sibling_id' => 78
                ),
                array( // id = 78
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Nature of activity',
                    'next_sibling_id' => 79
                ),
                array( // id = 79
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Associated learning outcome',
                    'next_sibling_id' => 80
                ),
                array( // id = 80
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Length',
                    'next_sibling_id' => 81
                ),
                array( // id = 81
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Individual / pair / group work?',
                    'next_sibling_id' => 82
                ),
                array( // id = 82
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Resources needed'
                ),


            array( // id = 83
                'parent_design_id' => 1,
                'multiplicity' => 1,
                'title' => 'Main sequence',
                'first_child_id' => 84,
                'next_sibling_id' => 92
            ),

                array( // id = 84
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Title',
                    'next_sibling_id' => 85
                ),
                array( // id = 85
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Nature of activity',
                    'next_sibling_id' => 86
                ),
                array( // id = 86
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Associated learning outcome',
                    'next_sibling_id' => 87
                ),
                array( // id = 87
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Length',
                    'next_sibling_id' => 88
                ),
                array( // id = 88
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Individual / pair / group work?',
                    'next_sibling_id' => 89
                ),
                array( // id = 89
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Teacher’s role',
                    'next_sibling_id' => 90
                ),
                array( // id = 90
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Support and feedback',
                    'next_sibling_id' => 91
                ),
                array( // id = 91
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Resources needed'
                ),


            array( // id = 92
                'parent_design_id' => 1,
                'multiplicity' => 1,
                'title' => 'Extension and reinforcement activities',
                'first_child_id' => 93,
                'next_sibling_id' => 101
            ),

                array( // id = 93
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Title',
                    'next_sibling_id' => 94
                ),
                array( // id = 94
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Nature of activity',
                    'next_sibling_id' => 95
                ),
                array( // id = 95
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Associated learning outcome',
                    'next_sibling_id' => 96
                ),
                array( // id = 96
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Length',
                    'next_sibling_id' => 97
                ),
                array( // id = 97
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Individual / pair / group work?',
                    'next_sibling_id' => 98
                ),
                array( // id = 98
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Teacher’s role',
                    'next_sibling_id' => 99
                ),
                array( // id = 99
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Support and feedback',
                    'next_sibling_id' => 100
                ),
                array( // id = 100
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Resources needed'
                ),


            array( // id = 101
                'parent_design_id' => 1,
                'multiplicity' => 1,
                'title' => 'Follow-up activities',
                'first_child_id' => 102
            ),

                array( // id = 102
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Title',
                    'next_sibling_id' => 103
                ),
                array( // id = 103
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Nature of activity',
                    'next_sibling_id' => 104
                ),
                array( // id = 104
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Associated learning outcome',
                    'next_sibling_id' => 105
                ),
                array( // id = 105
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Length',
                    'next_sibling_id' => 106
                ),
                array( // id = 106
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Individual / pair / group work?',
                    'next_sibling_id' => 107
                ),
                array( // id = 107
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Resources needed'
                ),


        array( // id = 108
            'parent_design_id' => 1,
            'root_item' => 6,
            'title' => 'Contingency Plan',
            'first_child_id' => 109
        ),

            array( // id = 109
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Contingency Plan',
                'next_sibling_id' => 110
            ),

            array( // id = 110
                'parent_design_id' => 1,
                'multiplicity' => 1,
                'title' => 'Alternative activities',
                'first_child_id' => 111
            ),

                array( // id = 111
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Title',
                    'next_sibling_id' => 112
                ),
                array( // id = 112
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Associated activity in main sequence',
                    'next_sibling_id' => 113
                ),
                array( // id = 113
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Nature of activity',
                    'next_sibling_id' => 114
                ),
                array( // id = 114
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Associated learning outcome',
                    'next_sibling_id' => 118
                ),
                array( // id = 115
                    'parent_design_id' => 1,
                    'field_type' => 1,
                    'title' => 'Length',
                    'next_sibling_id' => 116
                ),
                array( // id = 116
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Individual / pair / group work',
                    'next_sibling_id' => 117
                ),
                array( // id = 117
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Teacher’s role',
                    'next_sibling_id' => 118
                ),
                array( // id = 118
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Support and feedback',
                    'next_sibling_id' => 119
                ),
                array( // id = 119
                    'parent_design_id' => 1,
                    'field_type' => 2,
                    'title' => 'Resources needed'
                ),


        array( // id = 120
            'parent_design_id' => 1,
            'root_item' => 7,
            'title' => 'Reflections on the Learning Session',
            'first_child_id' => 121
        ),

            array( // id = 121
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Personal impressions',
                'next_sibling_id' => 122
            ),
            array( // id = 122
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Outcome for students',
                'next_sibling_id' => 123
            ),
            array( // id = 123
                'parent_design_id' => 1,
                'field_type' => 2,
                'title' => 'Quality of the learning design'
            ),


    ),
    'refs' => array(
        array(
            'parent_design_id' => 1,
            'parent_property_id' => 2,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ContextTitle'
        ), // Title and author

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 7,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ContextCourse'
        ), // Course

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 13,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ContextTimetabling'
        ), // Timetabling

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 26,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ContextStaff'
        ), // Staff

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 31,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ContextLocation'
        ), // Location

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 34,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ContextHealthAndSafety'
        ), // Health and safety

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 36,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2CurriculumAimsAndObjectives'
        ), // Aims and objectives

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 39,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2CurriculumLearningOutcomes'
        ), // Learning outcomes

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 41,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2CurriculumPrerequisites'
        ), // Prerequisites

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 42,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2CurriculumResources'
        ), // Teaching resources

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 45,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2CurriculumSource'
        ), // Curriculum documentation

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 48,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2AssessmentMethod'
        ), // Assessment overview

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 52,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2AssessmentActivities'
        ), // Assessment activities

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 63,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2StudentsNumbers'
        ), // Student numbers

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 64,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2StudentsMisconceptions'
        ), // Typical misconceptions

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 65,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2StudentsLearningStyles'
        ), // Learning styles

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 66,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2StudentsDifferentiation'
        ), // Differentiation

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 67,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2StudentsAccessibility'
        ), // Accessibility

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 68,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2StudentsSkillSets'
        ), // Skill sets

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 73,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2StudentsTransferableExperience'
        ), // Transferable experience

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 74,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/PhoebeApproachIntroduction'
        ), // Teaching approach

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 75,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/PhoebeActivitiesIntroduction'
        ), // Learning Activity Sequence

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 76,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ActivitiesPreparation'
        ), // Preparation by students

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 83,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ActivitiesMainSequence'
        ), // Activities during the learning session

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 92,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ActivitiesExtReinf'
        ), // Extension &amp; reinforcement activities

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 101,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ActivitiesFollowUp'
        ), // Follow-up activities

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 109,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ContingencyPlan'
        ), // Contingency plan

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 110,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ContingencyActivities'
        ), // Alternative activities

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 121,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ReflectionsImpressions'
        ), // Personal impressions

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 122,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ReflectionsStudents'
        ), // Outcome for students

        array(
            'parent_design_id' => 1,
            'parent_property_id' => 123,
            'type' => 0,
            'uri' => 'http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/Ph2ReflectionsPlan'
        ), // Quality of learning design

    )
)


?>