<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */

$content['settings'] = 'startEdit, userAcEdit';
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/core.php');
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/session.php');

// Construct page
$content['windowTitle'] = 'Start editing | Phoebe';
$content['main'] = '<div id="startEdit">';

$content['main'] .= '<h1 id="startEditingTitle">Overview: Editing a design in Phoebe</h1>';

$content['main'] .= '<p>Here’s how to get started editing your design.</p>';

$content['main'] .= '<p>There are three parts to this page:</p>';
$content['main'] .= '<img src="/inc/img/interface.png" width="266" height="200" alt="Screeshot of the Phoebe interface."/>';
$content['main'] .= '<dl>';
$content['main'] .= "  <dt>1. The control bar</dt>\n";
$content['main'] .= "  <dd>The strip along the top of the window containing, from left to right:\n  <ol>";
$content['main'] .= "    <li>links to the <i>Phoebe</i> front page, and the <i>Your designs</i> page.</li>\n";
$content['main'] .= "    <li>An <i>outline</i> of the design, to help you navigate through it.</li>\n";
$content['main'] .= '    <li>A button linking to the contents page of Phoebe’s <i>guidance material</i> (<img width="16" height="16" title="View guidance" alt="View guidance" src="/inc/img/book.gif"/>), which will appear in this pane.</li>';
$content['main'] .= '    <li>A view design button (<img width="16" height="16" src="/inc/img/view.gif" alt="View design" title="View design"/>), which displays your design in a choice of formats.</li>';
$content['main'] .= '    <li>Four buttons for changing the layout of the two panes in this editing screen.</li>';
$content['main'] .= '    <li>A <i>Help</i> button (<img width="16" height="16" src="/inc/img/qmark.gif" alt="Help" title="Help"/>), linking you to a step-by-step user guide.</li>  </ol>';
$content['main'] .= "  </dd>\n";


$content['main'] .= "  <dt>2. The guidance area</dt>\n";
$content['main'] .= '  <dd>The area you are reading from now. This contains the Phoebe guidance material, which changes when you click on guidance links (marked <img width="16" height="16" src="/inc/img/book.gif" alt="guidance"/>) in the design editing area, or when you follow links in the guidance system itself.</dd>';

$content['main'] .= "  <dt>3. The design editing area</dt>\n";
$content['main'] .= "  <dd><p>Where you build and edit your design. To type information into a box, simply click inside it first. </p>\n";
$content['main'] .= '  <p>The editing pane contains the following icons:</p><ul class="nobullet">
<li><img width="16" height="16" src="/inc/img/book.gif" alt="guidance"/> Read context-sensitive guidance on how to use this box, or group of boxes.</li>
<li><img width="16" height="16" src="/inc/img/add.gif" alt="Click to add another"/> Duplicate this box, or group of boxes.</li>
<li><img width="16" height="16" src="/inc/img/eye.gif" alt="Click to hide this Property"/> Temporarily hide this box, or group of boxes, if not needed.</li></ul></dd>';
$content['main'] .= "</dl>\n";

$content['main'] .= '<hr/>';

$content['main'] .= '<p>Show me this overview in future: <input type="checkbox" name="pref_show_des_start_page" id="pref_show_des_start_page" onclick="setPref(this);" checked="checked"/> (This option can be reset in <a href="/account.php">Your account</a>.)</p>';

$content['main'] .= '<p><a href="http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/PhoebePh2Contents" class="guideLink">Phoebe Guidance contents page <img width="16" height="16" src="/inc/img/book.gif" alt="guidance"/></a>.</p>';

$content['main'] .= '</div>';
// Write via template
include_once($CNF->template);
?>